Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Update the list of supported Scala binary versions #818

Merged
merged 1 commit into from Jul 8, 2019

Conversation

@cb372
Copy link
Contributor

commented Jul 8, 2019

This fixes incorrect messaging in Metals Doctor. When Scala version is 2.13.0, it currently recommends "Upgrade to Scala 2.12.8 to enjoy the latest compiler improvements".

This fixes incorrect messaging in Metals Doctor. When Scala version is
2.13.0, it currently recommends "Upgrade to Scala 2.12.8 to enjoy the
latest compiler improvements".
scalaVersion.startsWith(binaryVersion)
}

val isLatestScalaVersion: Set[String] =
Set(BuildInfo.scala212, BuildInfo.scala211)
Set(BuildInfo.scala213, BuildInfo.scala212, BuildInfo.scala211)

def recommendedVersion(scalaVersion: String): String = BuildInfo.scala212

This comment has been minimized.

Copy link
@cb372

cb372 Jul 8, 2019

Author Contributor

I guess it's fine to leave 2.12.8 as the recommended version for now?

@tgodzik
tgodzik approved these changes Jul 8, 2019
Copy link
Collaborator

left a comment

Thanks for the contribution! 🎉 I think we can leave 2.12.8 as recommended for now.

@tgodzik tgodzik merged commit dd67634 into scalameta:master Jul 8, 2019
3 checks passed
3 checks passed
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
scalameta.metals Build #20190708.1 succeeded
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
2 participants
You can’t perform that action at this time.